Package com.avaya.clientservices.messaging.enums

## Enum ConversationStatus

- java.lang.Object
- - java.lang.Enum<ConversationStatus>
  - - com.avaya.clientservices.messaging.enums.ConversationStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ConversationStatus>`

      public enum ConversationStatus
      extends java.lang.Enum<ConversationStatus>

  Represents the server reconciled status of the conversation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ERROR` | State indicating that conversation couldn't be sent.
    `LEAVING` | Used for conversations which are currently being left.
    `LEFT` | Used for conversations which were left.
    `REMOVING` | Used for conversations which are currently being removed.
    `SENDING` | Used for conversations which are currently being sent.
    `SENT` | A conversation in Published state has been successfully sent to the server and is now able to be viewed by other participants.
    `UNDEFINED` | An unknown status.
    `UNSENT` | Represents a conversation that has been created by the local application but has not yet been sent.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ConversationStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ConversationStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSENT

          public static final ConversationStatus UNSENT

      Represents a conversation that has been created by the local application but has not yet been sent.

    - #### SENT

          public static final ConversationStatus SENT

      A conversation in Published state has been successfully sent to the server and is now able to be viewed by other participants.

    - #### SENDING

          public static final ConversationStatus SENDING

      Used for conversations which are currently being sent.

    - #### REMOVING

          public static final ConversationStatus REMOVING

      Used for conversations which are currently being removed.

    - #### ERROR

          public static final ConversationStatus ERROR

      State indicating that conversation couldn't be sent. Additional error information is provided within the operation result.

    - #### UNDEFINED

          public static final ConversationStatus UNDEFINED

      An unknown status. If this status is set, it is a bug.

    - #### LEAVING

          public static final ConversationStatus LEAVING

      Used for conversations which are currently being left.

    - #### LEFT

          public static final ConversationStatus LEFT

      Used for conversations which were left.

  - ### Method Detail

    - #### values

          public static ConversationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConversationStatus c : ConversationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConversationStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null